DF(1)

NOM
df - Fournir la quantité d'espace occupé des systèmes de fichiers

SYNOPSIS
df [options] [fichier...]

Options POSIX : [-kP] [--]

Options GNU (versions courtes) : [-ahHiklmPv] [-t type_fs] [-x type_fs] [--block-size=size] [--print-type] [--no-sync] [--sync] [--help] [--version] [--]

DESCRIPTION
df indique les quantités d'espaces disques utilisées et disponibles sur les systèmes de fichiers.

Sans argument, df indiquera les quantités correspondant à tous les systèmes de fichiers montés, quels que soient leurs types. Sinon, df affichera les données correspondant aux systèmes contenant chaque fichier fourni en argument.

PRÉCISIONS POSIX
Les valeurs sont indiquées en unités de 512 octets par défaut, mais si l'option -k est utilisée, l'unité est 1024 octets. Le format de sortie n'est pas défini si l'option -P n'est pas utilisée. Si le fichier n'est pas un fichier régulier, un répertoire, ou une FIFO, le résultat est imprévisible.

PRÉCISIONS GNU
Les valeurs sont fournies en unités de 1024 octets par défaut, sauf si la variable d'environnement POSIXLY_CORRECT existe, auquel cas le comportement POSIX est adopté.

Si un fichier indiqué en argument est un périphérique disque contenant un système de fichiers monté, df affichera l'espace disponible sur ce système de fichiers plutôt que sur celui contenant le noeud du périphérique.

OPTIONS POSIX

-k  Utiliser des unités de 1024 octets plutôt que les unités de 512 octets par défaut.

-P  Affichage sur six colonnes, précédées de l'en-tête « Filesystem N-blocks Used Available Capacity Mounted on » (avec N=512, ou N=1024 si l'option -k est utilisée).

--  Fin explicite de la liste des options.

OPTIONS GNU

-a, --all
    Inclure dans le listing les systèmes de fichiers ayant une taille de 0 blocs, et qui sont omis par défaut. Il s'agit typiquement de pseudo-systèmes de fichiers particuliers comme les entrées d'un auto-monteur. De même les systèmes de type « ignore » ou « auto » utilisés par certains systèmes d'exploitation ne sont inclus qu'avec cette option.

--block-size=nb
    Afficher les tailles en blocs de nb octets. (Nouveau dans fileutils-4.0, mais erroné).

-h, --human-readable
    Ajouter à chaque valeur une lettre comme M pour méga-octet, afin d'améliorer la lisibilité.

-H, --si
    Comme -h, en utilisant les unités SI officielles (puissances de 1000 plutôt que 1024, ainsi M signifie 1.000.000 et non 1.048.576). (Nouveauté fileutils-4.0.)

-i, --inodes
    Afficher les informations sur l'utilisation des i-noeuds plutôt que les blocs. Un i-noeud (noeud d'index) contient des informations sur un fichier comme son propriétaire, ses dates d'accès et sa position sur le disque.

-k, --kilobytes
    Afficher les valeurs avec des unités de 1024 octets.

-l, --local
    Ne traiter que les systèmes de fichiers locaux (Nouveauté fileutils-4.0).

-m, --megabytes
    Afficher les valeurs avec des unités de 1 048 576 octets (un méga-octet). Notez que les options -h, -H, -k, -m sont mutuellement exclusives, et seule la dernière indiquée est effective ; par exemple si on indique simultanément --si et -m, la sortie ne se fera PAS en blocs de 1000000 octets. [La taille des blocs est également influencée par la variable d'environnement BLOCK_SIZE, mais ceci ne fonctionne pas dans fileutiles-4.0.]

--no-sync
    Ne pas invoquer l'appel système sync avant d'obtenir les informations sur l'utilisation du disque. Ceci peut permettre à df de s'exécuter sensiblement plus vite, mais sur certains systèmes (notamment SunOS) les résultats peuvent être fortement dépassés. Il s'agit du comportement par défaut.

-P, --portability
    Utiliser le format d'affichage POSIX. Par rapport à l'affichage par défaut, les informations sur un système de fichiers sont toujours affichées sur une ligne exactement. Ceci signifie que si un système de fichiers monté a plus de 20 caractères de long (par exemple un montage à travers le réseau), les colonnes sont mal alignées.

--sync
    Invoquer l'appel système sync avant d'obtenir les informations sur l'utilisation du disque. Sur certains systèmes (notamment SunOS) ceci fournit des résultats beaucoup plus à jour, mais df s'exécute parfois beaucoup plus lentement, surtout si des systèmes de fichiers sont très utilisés.

-t type, --type=type
    Limiter la liste aux systèmes de fichiers du type indiqué. On peut fournir plusieurs types de systèmes en utilisant plusieurs options -t. Par défaut, rien n'est omis.

-T, --print-type
    Afficher le type de chaque système de fichiers. Les types affichés sont indiqués par le système (de manière spécifique, par exemple en lisant /etc/mtab). Voir également mount(8).

-x type, --exclude-type=type
    Limiter l'affichage aux systèmes N'ayant PAS le type indiqué. Plusieurs types de systèmes de fichiers peuvent être éliminés en utilisant plusieurs options -x. Par défaut, rien n'est omis.

-v  Ignoré. Pour compatibilité avec les versions System V de df.

OPTIONS STANDARDS GNU

--help
    Afficher un message d'aide sur la sortie standard, et se terminer correctement.

--version
    Afficher un numéro de version sur la sortie standard, et se terminer correctement.

--  Fin de la liste d'options.

ENVIRONNEMENT
La variable POSIXLY_CORRECT détermine le choix des unités. Si elle n'existe pas, et si la variable BLOCKSIZE a une valeur commençant par HUMAN alors, le comportement est celui de l'option -h (à moins qu'il soit surchargé par une option -k ou -m). Les variables LANG, LC_ALL, LC_CTYPE et LC_MESSAGES ont leurs significations habituelles.

CONFORMITÉ
POSIX.2

NOTES
Cette page décrit la version de df trouvée dans le paquetage fileutils-4.0, d'autres versions peuvent différer légèrement.

VOIR AUSSI
mount(8)

TRADUCTION

Ce document est une traduction réalisée par Christophe Blaess <http://www.blaess.fr/christophe/> le 14 décembre 1998 et révisée le 19 novembre 2007.

L'équipe de traduction a fait le maximum pour réaliser une adaptation française de qualité. La version anglaise la plus à jour de ce document est toujours consultable via la commande : « LANG=C man 1 df ». N'hésitez pas à signaler à l'auteur ou au traducteur, selon le cas, toute erreur dans cette page de manuel.